Bug 63311 - resume from suspend doesn't restore network
resume from suspend doesn't restore network
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
9
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-04-12 10:09 EDT by Brian G. Anderson
Modified: 2008-08-01 12:22 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 11:39:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Brian G. Anderson 2002-04-12 10:09:20 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:0.9.9) Gecko/20020408

Description of problem:
When I suspend my Dell Latitude CPx with a Lucent Orinoco cared (HERMES).  Upon
resume the wireless card is not active upon return.  I have to do a 'cardctl
eject' followed by a 'cardctl insert' to bring it up.  Sometimes, if the suspend
has been for a long time, then I will also have to do a 'dhcpcd -n'

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Use 'apm -s' to suspend the system
2.resume
3.
	

Actual Results:  The orinoco card appears in ifconfig, but it is clearly not
active as the connection lights are off.

Expected Results:  The card should be active and communicating with the base
station.

Additional info:
Comment 1 Bill Nottingham 2002-04-12 11:30:31 EDT
Fixed in apmd-3.0.2-8.
Comment 2 Brian G. Anderson 2002-04-12 11:55:57 EDT
But I am already running apmd-3.0.2-8, so the problem isn't fixed
Comment 3 Bill Nottingham 2002-04-12 15:09:38 EDT
What error messages are in /var/log/messages, if any?
Comment 4 Brian G. Anderson 2002-04-12 20:36:47 EDT
Here is the state of iwconfig eth0 after I have resumed.
eth0      IEEE 802.11-DS  ESSID:""  Nickname:"hampstead"
          Mode:Ad-Hoc  Frequency:2.457GHz  Cell: 00:00:00:00:00:00
          Bit Rate:11Mb/s   Tx-Power=15 dBm   Sensitivity:1/3
          Retry limit:4   RTS thr:off   Fragment thr:off
          Power Management:off
and here it is after I do a cardctl eject followed by an insert:
eth0      IEEE 802.11-DS  ESSID:"000000"  Nickname:"hampstead"
          Mode:Ad-Hoc  Frequency:2.412GHz  Cell: 00:02:2D:04:77:E5
          Bit Rate:11Mb/s   Tx-Power=15 dBm   Sensitivity:1/3
          Retry limit:4   RTS thr:off   Fragment thr:off
          Power Management:off
          Link Quality:0  Signal level:0  Noise level:0
          Rx invalid nwid:0  Rx invalid crypt:0  Rx invalid frag:0
          Tx excessive retries:0  Invalid misc:0   Missed beacon:0

Notice the ESSID is messed up.


The excerpt from /var/log/messages showing the suspend and the resume follow. 
Notice the "card removed" errors.

Apr 12 17:31:15 hampstead dhcpcd[7874]: terminating on signal 15
Apr 12 17:31:15 hampstead network: Shutting down interface eth0:  succeeded
Apr 12 17:31:15 hampstead network: Shutting down loopback interface:  succeeded
Apr 12 17:31:16 hampstead apmd[827]: User Suspend
Apr 12 17:31:16 hampstead cardmgr[772]: executing: './network suspend eth0'
Apr 12 10:31:32 hampstead kernel: usb-uhci.c: interrupt, status 20, frame# 0
Apr 12 10:31:32 hampstead kernel: usb-uhci.c: Host controller halted, trying to
restart.
Apr 12 10:31:33 hampstead cardmgr[772]: executing: './network resume eth0'
Apr 12 17:31:34 hampstead kernel: hermes @ 0x100: Card removed while waiting for
 command completion.
Apr 12 17:31:34 hampstead kernel: hermes @ 0x100: Card removed while waiting for
 command completion.
Apr 12 17:31:34 hampstead kernel: hermes @ 0x100: Card removed while issuing com
mand.
Apr 12 17:31:34 hampstead last message repeated 6 times
Apr 12 17:31:34 hampstead kernel: hermes @ 0x100: Card removed while waiting for
 command completion.
Apr 12 17:31:34 hampstead kernel: hermes @ 0x100: Frame allocation command faile
d (0xFFFFFFED).
Apr 12 17:31:34 hampstead dhcpcd[8528]: dhcpStart: ioctl SIOCSIFFLAGS: No such d
evice
Apr 12 17:31:34 hampstead netfs: Mounting other filesystems:  succeeded
Apr 12 17:31:34 hampstead netfs: Mounting other filesystems:  succeeded
Apr 12 17:31:35 hampstead apmd[827]: Normal Resume after 00:00:19 (100% 5:54) AC
 power
Comment 5 Bill Nottingham 2003-02-05 20:10:51 EST
Hm, on looking at it again, that appears to be a driver error.
Comment 6 Bugzilla owner 2004-09-30 11:39:30 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.